Skip to content
Get started
V2 Reference
Phone Numbers

Overview

Phone Numbers represent the messaging-enabled phone numbers in your organization, supporting iMessage, RCS, and SMS.

Each phone number is associated with a user and can be used to send and receive messages. Messages are automatically sent using the best available protocol (iMessage → RCS → SMS). Phone numbers can have forwarding numbers configured.

Voice calls

The API does not place or answer voice calls directly, but you can route calls around your Linq line:

  • Inbound calls — Forward your Linq line to a number of your choice by setting a forwarding_number via the Update Phone Number endpoint (PUT /api/partner/v2/phone_numbers/{id}).
  • Outbound calls — If you own another number that supports caller-ID masking (for example, a Twilio number with Verified Caller ID), you can mask your Linq number over it so the Linq number displays on outbound calls.
  • AI voice agents — Use a VOIP number (commonly Twilio) with the inbound/outbound setups above to route calls to and from your agent via the Twilio API.
  • Transcriptions — Call transcription data is included in the call.completed webhook whenever a voice call is completed.